# Calendar Properties

# CACHED_ITERATOR_FAST_FETCH / MAX_PRE_FETCH OPTION
#
# By enabling the option CACHED_ITERATOR_FAST_FETCH you
# can define the numbers of pre fetched results with
# the parameter MAX_PRE_FETCH.
#
# This means that MAX_PRE_FETCH results are gathered in one
# SQL query instead of MAX_PRE_FETCH single SQL queries.
# Normally higher values result in more performance if this
# option is enabled.
#
# Default values
# CACHED_ITERATOR_FAST_FETCH=true
# MAX_PRE_FETCH=20



# CHECK_AND_REMOVE_PAST_REMINDERS
#
# If this option is enabled no event is triggered
# and no mail will be sent if the reminder is in
# the past relative to the start date.
#
# Default value:
# CHECK_AND_REMOVE_PAST_REMINDERS=true



# CHECK_AND_AVOID_SOLO_REMINDER_TRIGGER_EVENTS
#
# This option prevents the trigger and mail sending
# if only a reminder has been changed. If the application
# should inform about each change no matter what has been
# changed in the object this option should be disabled.
#
# Default value:
# CHECK_AND_AVOID_SOLO_REMINDER_TRIGGER_EVENTS=true

#
# This options specifies a maximum count of loop iterations
# for a given recurrence pattern. When this limit is reached
# the server stops processing the recurrence pattern and spews
# out lots of error information. A value equal to or less than
# zero omits this property; meaning no limit on processing the
# recurrence pattern
#
# MAX_OPERATIONS_IN_RECURRENCE_CALCULATIONS = 49950

# com.openexchange.calendar.seriesconflictlimit
#
# This boolean option switches on/off the limitation for the
# conflict search for a series to 1 year in the future. This
# means, that a new/changed series will not conflict with
# appointments which are later than one year after the
# creation/change of the appointment.
#
# Default value:
# com.openexchange.calendar.seriesconflictlimit=true

# com.openexchange.calendar.undefinedstatusconflict
#
# This boolean option switches on/off, if an appointment
# should conflict for a user if he/she has not yet accepted
# or denied the appointment.
#
# Default value:
# com.openexchange.calendar.undefinedstatusconflict=true